#include <iostream>
#include <sstream>
#include <string>
#include <algorithm>
#include <math.h>       /* sqrt */
using namespace std;

// return row i of element
int to_i(int index, int n)
{
	index ++;
	if (index % n == 0)
		return index/n;
	else
		return index/n + 1;
}

// return column j of element
int to_j(int index, int n)
{
	index ++;
	if (index % n == 0)
		return n;
	else
		return index % n;
}

int main()
{
	// input 10 lines testing data
	for (int l = 0; l < 10; l++)
	{
		int n = 0;				// n by n Matrix
		int sum = 0;			// trace: sum of diagonal elements
		int max = -200;			// max value in Matrix
		int max_index = 0;		// index of "max" value in Matrix
		int aij = 0;			// Matrix element

		string s = "";
		getline (cin, s);
		stringstream ssin(s);

		// count white space
		n = sqrt(count(s.begin(), s.end(), ' ')+1); 

		for (int index = 0; index < n*n; index++)
		{
			ssin >> aij;
			// find max and index of this "max" value
			if (aij >= max)
			{
				max = aij;
				max_index = index;
			}
			// trace: sum of diagonal elements
			for (int j = 1; j <= n; j++)
			{
				if ( (index + 1) == j + n*(j-1) )
					sum += aij;
			}
		}
		// output
		if (sum > max)
			cout << "T " << sum << " "<< max << endl;
		else if (sum == max)
			cout << "E " << sum << endl;
		else
			cout << "M " << max << " " << sum << " "<< to_i(max_index, n) << " " << to_j(max_index, n) << endl;
	}
	return 0;
}


