#include <iostream>
#include <cstdlib>
#include <algorithm>
#include <iomanip>
using namespace std;

int minMakespan(int *pRate, int jLoad, int *mLoad, int mNum);

int main (){
    
    int mNum, jNum, x;
	static int count=0; 
    int *proRate, *loading, *curLoad;
    
    while(cin >> mNum >> jNum){
		count++;
		
		curLoad = new int[mNum];
        proRate = new int[mNum];
		loading = new int[jNum]; 
           
         //initialize
         for(int i=0; i<mNum; i++){
             cin >> proRate[i];
             curLoad[i]=0;
         }   
         for(int i=0; i<jNum; i++){
             cin >> loading[i];
         }
         
         if(count>10){
         	sort(loading, loading+jNum);
         	reverse(loading, loading+jNum);
		 }
		 
		 
		 int max=0;
		 for(int i=0; i<jNum; i++){ 
			//x is the id of machine chosen in this round
			x = minMakespan(proRate, loading[i], curLoad, mNum); 
			curLoad[x] += loading[i]/proRate[x];
			if(curLoad[x]>max)
		 		max=curLoad[x];
         } 
		   
		 //output max makespan	
		 cout << max << " ";
		 //output makespans of machines from 1 to n
		 for(int i=0; i<mNum; i++)
		 	cout << curLoad[i] << " ";
		   
         delete [] proRate;
         delete [] loading;
         delete [] curLoad;
         
         cout << endl;
    }          
    return 0;
}

int minMakespan(int *pRate, int jLoad, int *mLoad, int mNum){
    int *cmp=new int[mNum];
    int min=0;
    
    for(int i=0; i<mNum; i++)
		cmp[i]=mLoad[i]+jLoad/pRate[i];
	
	int tmp=cmp[0];
	for(int i=0; i<mNum; i++){ 
		if(cmp[i]<tmp){
            tmp=cmp[i];
            min=i;
        } 
	}
	
    delete []cmp;
    return min;   
}
